package com.yunfeiyun.agmp.fms.domain.reqvo;

import com.yunfeiyun.agmp.fms.domain.FmsPeriod;

import javax.validation.constraints.NotBlank;
import java.util.List;

public class AddPeriodListReqVo {

    /** 字典标识 */
    @NotBlank(message = "作物标识不能为空")
    private String cropId;

    /** 生长周期列表 */
    private List<FmsPeriod> list;

    public String getCropId() {
        return cropId;
    }

    public void setCropId(String cropId) {
        this.cropId = cropId;
    }

    public List<FmsPeriod> getList() {
        return list;
    }

    public void setList(List<FmsPeriod> list) {
        this.list = list;
    }

}
